<?php
// Copyright 2010 Gerry Reno
// License: GNU Public License GPL v3
//
// make sure files are owned by webserver user
//-----------------------------------------------

$locale = $_SERVER['HTTP_ACCEPT_LANGUAGE'];
$locale_dir = 'locale'; // relative path
putenv("LC_ALL=");
putenv("LANG=en_US.UTF-8");
putenv("LANGUAGE=$locale");
setlocale(LC_ALL, "");
// initial gettext domain settings
bindtextdomain("messages", $locale_dir);
textdomain("messages");

header("Content-Type: text/html; charset=utf-8");

/* ====== Main App ====== */
print nl2br('<br /><br /><br /><div style="margin: 0 auto 0 auto; padding: 30px; width:550px; text-align:left; background-color:lightgreen; font-family:sans-serif; font-weight:bold"><p>');

print nl2br( "PHP Gettext "._("Demonstration").PHP_EOL.PHP_EOL );
print nl2br( _("If you change your browser language setting to a different first language you can then view this page in different languages.").' '._("Spanish, French and German translations are provided.").' '._("Try adding a new gettext language translation.").PHP_EOL.PHP_EOL );
print nl2br( _("In Firefox go to ")._("Edit")." | "._("Preferences")." | "._("Content")." | "._("Languages").PHP_EOL.PHP_EOL );
print nl2br( _("In IE go to ")._("Tools")." | "._("Internet Options")." | "._("General")." | "._("Languages").PHP_EOL.PHP_EOL );
print nl2br( _("If you look at the php source file you will see that we are using gettext to translate both single words and full sentences.").PHP_EOL.PHP_EOL );
print nl2br( _("In Main App").PHP_EOL.PHP_EOL );
print nl2br( _("Now using the Main App translation file.").PHP_EOL );

print nl2br('</p></div>'.PHP_EOL );


/* ====== Vendor1 Mod ====== */
require("vendor1_magic.php");


/* ====== Back in Main App ====== */
bindtextdomain("messages", $locale_dir);
textdomain("messages");
print nl2br('<br /><br /><br /><div style="margin: 0 auto 0 auto; padding: 30px; width:550px; text-align:left; background-color:lightgreen; font-family:sans-serif; font-weight:bold"><p>');

print nl2br( _("Back in Main App").PHP_EOL.PHP_EOL );
print nl2br( _("Do some more Main App stuff.").PHP_EOL );
print nl2br( _("Once again using the Main App translation file.").PHP_EOL );

print nl2br('</p></div>'.PHP_EOL );
?>

<br /><br />

<?php
/* ====== STEPS ====== */
$page1 = array();

// construct page/section lines in array
$n=0;
$page1[$n++] = nl2br( _("Steps to Create New Gettext Translation").' (Main App)'.PHP_EOL.PHP_EOL );
$page1[$n++] = nl2br( _("1. Create a new locale language directory: ").PHP_EOL."mkdir -p locale/NEWLANGCODE/LC_MESSAGES".PHP_EOL.PHP_EOL );
$page1[$n++] = nl2br( _("2. Run xgettext like this: ").PHP_EOL.'xgettext SOURCEFILE  -o locale/NEWLANGCODE/LC_MESSAGES/messages.po --add-location --no-wrap'.PHP_EOL.PHP_EOL );
$page1[$n++] = nl2br( _("3. Set charset and add your new translations in: ").PHP_EOL.'vi locale/NEWLANGCODE/LC_MESSAGES/messages.po'.PHP_EOL.PHP_EOL );
$page1[$n++] = nl2br( _("4. Run msgfmt like this: ").PHP_EOL.'msgfmt locale/NEWLANGCODE/LC_MESSAGES/messages.po -o locale/NEWLANGCODE/LC_MESSAGES/messages.mo'.PHP_EOL.PHP_EOL );
$page1[$n++] = nl2br( _("That's it.").' '._("Now restart your test webserver to prevent any caching issues and enjoy your new translation.").PHP_EOL.PHP_EOL );

// write out the page/section from array
print nl2br('<br /><br /><div style="margin: 0 auto 0 auto; padding: 30px; width:550px; text-align:left; background-color:#fe7700; font-family:sans-serif; font-weight:bold"><p>');

for ($i = 0; $i < sizeof($page1); $i++) {
    print $page1[$i];
}

print nl2br('</p></div>'.PHP_EOL );
?>

<br /><br />

